cURL
curl --request PATCH \
--url https://api.comm.com/api/v1/webhooks/calls/{call}/change-outcome \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.comm.com/api/v1/webhooks/calls/{call}/change-outcome"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.comm.com/api/v1/webhooks/calls/{call}/change-outcome', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"team_id": "<string>",
"contact_id": "<string>",
"meta": [
"<unknown>"
],
"is_processed": true,
"number_id": "<string>",
"to_number": 123,
"call_agent_id": "<string>",
"events_count": "<string>",
"tool_logs_count": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_at_formatted": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"agent_id": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"voice_campaign_id": "<string>",
"voice_campaign_send_id": "<string>",
"is_answer_machine": true,
"is_answered": true,
"is_lead": true,
"is_sale": true,
"is_picked_up": true,
"chat": "<string>",
"status": "<string>",
"call_outcome": "<string>",
"call_source": "<string>",
"scheduled_at": "<string>",
"lead_submitted_at": "<string>",
"country_id": 123,
"created_at_tz": "<string>",
"date_key": "<string>",
"timezone": "<string>",
"vapi_ended_reason": "<string>",
"call_outcome_logs": [
{
"id": "<string>",
"team_id": "<string>",
"call_id": "<string>",
"call_outcome_classifier_id": "<string>",
"call_outcome_classifier_run_id": "<string>",
"initial_call_outcome": "<string>",
"new_call_outcome": "<string>",
"status": "<string>",
"failure_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Calls
Patch v1webhookscalls change outcome
PATCH
/
v1
/
webhooks
/
calls
/
{call}
/
change-outcome
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The call ID
Body
application/json
Available options:
interested, not_interested, voice_mail, call_me_later, do_not_call, wrong_number, no_user_response, not_qualified, burned_experience, quick_hangup, maybe_interested, agent_issue, no_answer, failed, audio_issue, busy, unknown_error Response
CallResource
Show child attributes
Show child attributes
⌘I